/* Used memory addresses. These are also used to initialize the memory mapper (not the sizes!), not for testing, so this should match the list in memregions.c */

.set HAVE_SUBCPU, 1

.set MAINCPU_HZ, 10000000
.set SUBCPU_HZ, 10000000
.set VIDEO_FPS, 60
.set VIDEO_SCANLINES, 262

.ifdef CPU0

.set CYCLES_PER_SCANLINE, (MAINCPU_HZ/(VIDEO_FPS*VIDEO_SCANLINES))

.equ MAINROM_BASE,    0x000000
.equ TILERAM_BASE,    0x100000
.equ TEXTRAM_BASE,    (TILERAM_BASE+0x10000)
.equ TILE_REGISTERS,  (TEXTRAM_BASE+0xe80)
.equ PALETTE_BASE,    0x120000
.equ SPRITE_BASE,     0x130000
.equ IO_BASE,         0x140000
.equ SUBROM_BASE,     0x200000

/* I/O registers */
.equ IO_PPI_PORT_C,  (IO_BASE+0x5)
.equ IO_PPI_CONTROL, (IO_BASE+0x7)
.equ IO_DIGITAL_OUT, (IO_BASE+0x21)
.equ IO_WATCHDOG,    (IO_BASE+0x60)

.endif

.ifdef CPU1

.set CYCLES_PER_SCANLINE, (SUBCPU_HZ/(VIDEO_FPS*VIDEO_SCANLINES))

.equ SUBROM_BASE,     0x000000

.endif /* CPU1 */

.ifdef HAVE_SUBCPU

.equ SUBRAM_BASE,     (SUBROM_BASE+0x60000)
.equ ROADRAM_BASE,    (SUBROM_BASE+0x80000)
.equ ROADCTRL_BASE,   (SUBROM_BASE+0x90000) /* Read/write byte at 0x90001 */

.endif /* HAVE_SUBCPU */
